import dynamix_sdk.base as _base


class CloudapiComputeDetachPciDeviceResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeDetachPciDeviceProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def detach_pci_device(
        self,
        *,
        vm_id: int,
        pci_device_id: int,
    ) -> CloudapiComputeDetachPciDeviceResultBool:
        ...
